Link (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.intermediate.extensions

## Class Link

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.Link

-     public class Link
      extends Object

  This class is a link element for use in the intermediate format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link(AbstractAction action, Rectangle targetRect)` Creates a new named destination.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractAction` | `getAction()` Returns the action performed when the destination is selected.
    `Rectangle` | `getTargetRect()` Returns the target rectangle, i.e.
    `void` | `setAction(AbstractAction action)` Sets the action performed when the destination is selected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link(AbstractAction action,
                      Rectangle targetRect)

      Creates a new named destination.
      Parameters:
        `action` - the action performed when the destination is selected
        `targetRect` - the target rectangle (coordinates in millipoints)

  - ### Method Detail

    - #### getAction

          public AbstractAction getAction()

      Returns the action performed when the destination is selected.
      Returns:
        the action

    - #### getTargetRect

          public Rectangle getTargetRect()

      Returns the target rectangle, i.e. the hot zone in which the link is activated.
      Returns:
        the target rectangle

    - #### setAction

          public void setAction(AbstractAction action)

      Sets the action performed when the destination is selected.
      Parameters:
        `action` - the action

Copyright © 2025 Apache Software Foundation. All rights reserved.